\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
y(n) = &-c \times x(n) + d (1-c) \times x(n-1) + x(n-2)
\\
&- d (1-c) \times y(n-1) + c \times y(n-2)
\end{align*}






\end{document}